Permalink
Browse files

Use Rake's built in FileUtilsExt to reduce redundant messages during …

…install
  • Loading branch information...
1 parent ae49553 commit 032cb54a39852e746c5bfae7a0d7401edd6c44a3 @ferrous26 ferrous26 committed Sep 24, 2012
Showing with 2 additions and 2 deletions.
  1. +2 −2 rakelib/install.rake
View
@@ -1,10 +1,10 @@
-require 'fileutils'
+require 'rake/file_utils_ext'
# TODO abstract usage of with_destdir out of the rake tasks
# so that they only appear in helper methods
module Installer
- include FileUtils
+ include Rake::FileUtilsExt
# Hard coded
def prog_mode; 0755; end

2 comments on commit 032cb54

Rake::FileUtilsExt isn't available in the version of Rake that ships with the system Ruby. Is there a requirement target for the Ruby used to bootstrap MacRuby?

Owner

ferrous26 replied Sep 24, 2012

The system Ruby is the Ruby needed to bootstrap MacRuby at the moment. At some point, I installed a newer rake from ruby gems without realizing it...I'll revert this patch.

Please sign in to comment.